/* CSS Document */
:root {
  --zlata: #ffd700;
  --bila: #ffffff;
  --seda: #aaaaaa;
  --cerna: #000000;
  --tmavoseda: #333333;
  --pismo: #fff9dd;
  --svetleseda: #dddddd;
}

body, html  {
  background: var(--tmavoseda);
  color: var(--bila);
  padding: 0;
  margin: 0;
  width: 100%;
  font-family: Calibri;
  font-size: 18px;
}

a {
  color: var(--zlata);
  text-decoration: none;
}

h1  {
  font-family: 'Fredericka the Great', cursive;
  font-size: 2.5em;
  line-height: 0px;
}

h2 {
  font-family: Calibri;
  font-size: 1.5em;
  font-style: italic;
}

h3  {
  font-family: Calibri;
  font-size: 1.2em;
  font-style: italic;
}

.clear  {
  clear: both;
}

hr  {
  position: relative;
  top: -20px;
  height: 1px;
  border: none;
  background: linear-gradient(to right, var(--zlata) 0%, transparent 70%);
  text-align: left;
}

.center {
  text-align: center;
  margin: 0 auto;
}

.padding  {
  padding: 15px;
}

.font09 {
  font-size: .8em;
}

.zlatepismo  {
  color: var(--pismo);
}

.item0  {grid-area: title;}
.item1  {grid-area: cell1;}
.item2  {grid-area: cell2;}
.item3  {grid-area: cell3;}
.itemf  {grid-area: paticka;}


.container {
  display: grid;
  grid-template-areas:
    'title title title title'
    'cell1 cell2 cell2 cell2'
    'cell3 cell2 cell2 cell2'
    'paticka paticka paticka paticka';
  grid-template-rows: 100px auto 1fr auto;
  grid-template-columns: 2fr 1fr 1fr 1fr;
  grid-gap: 0px;          
  padding:  0px;
}

.item0, .item1, .item2, item3, .itemf  {vertical-align: top; border: solid 0px red;}

.item0  {
  background: var(--cerna); 
  border-bottom: solid 1px var(--zlata);
}

.itemf  {
  background: var(--cerna);
  border-top: solid 1px var(--zlata);
  text-align: center;
  padding: 20px 0;
}



.item-web  {
  position: relative;
  float: left;
  width: 33.333333%;
  text-align: center;
  perspective: 500px;  
}

.item-web img {
  width: 100%;
  border: solid 5px #ccc;
  box-shadow: 4px 4px 0px #aaa, 9px 9px 0px #888;
  transition: 1s;
}

.item-web p {
  padding: 10px 0;
  background: var(--cerna);
  color: var(--svetleseda);
  font-size: 1.1vw;
  transition: .7s;
  box-shadow: 3px 3px 0px #aaa, 6px 6px 0px #888;
}

.item-web:hover p {
  color: var(--zlata);
}

.item-web:hover img {
  filter: grayscale(1) blur(1.5px);
}

.ramecek  {
  padding-right: 20px;
  transform: rotateY(-20deg);
}

.boxfoto, .boxfoto1  {
  background-size: cover;
  padding: 0 0px 0px 0;
  box-shadow: inset 0px 0px 10px var(--tmavoseda), inset 0px 0px 20px var(--tmavoseda), inset 0px 0px 30px var(--tmavoseda);
  border-radius: 35px;
  float: left;
}

.boxfoto  {
  background: url("../images/notebook.jpg");
  width: 250px;
  height: 140px;
}

.boxfoto1  {
  background: url("../images/film.jpg");
  width: 125px;
  height: 70px;
}

.vstup-privat {
  padding: 10px 0;
  background: var(--cerna);
  color: var(--svetleseda);
  font-size: 1.1vw;
  transition: .7s;
  box-shadow: 3px 3px 0px #aaa, 6px 6px 0px #888;
  border: none;
  padding: 10px 20px;
  cursor: pointer;
}

.vstup-privat:hover {
  color: var(--zlata);
}
input   {
  border: none;
  border-bottom: solid 1px var(--svetleseda);
  background: var(--tmavoseda);
  width: 250px;
  color: var(--bila);
  font-size: 1em;
}

input::placeholder  {
  color: var(--svetleseda);
}

.popis  {
  color: var(--zlatepismo);
  font-size: .8em;
}

.footer-item  {
  float: left;
  width: 33.33333%;
  font-size: .9em;
  padding-bottom: 20px;
}

.footer-box {
  width: 250px;
  margin: 0 auto;
  text-align: left;
}

.footer-box a {
  font-size: .9em;
  color: var(--svetleseda);
}

.footr-text {
  font-size: .9em;
}

.footer-copy  {
  font-size: .8em;
  color: var(--svetleseda);
}

.mail {
  font-size: 1.4em;
  font-weight: bold;
}

.fb {
  font-size: 3em;
  font-weight: bold;
  padding: 0 20px;
  background: var(--bila);
  color: var(--cerna);
  border: solid 0px var(--bila);
  border-radius: 50%;
}

.youtube  {
  font-size: 1.5em;
  font-weight: bold;
  color: var(--cerna);
  background: var(--bila);
  padding: 10px 20px;
  border-radius: 30px;
}

/* ----------------------------------------------p r i v á t n í   č á s t-------------------------------------------------------- */
.subtitle {
  letter-spacing: 23px;
}

.pristup  {
  text-align: center;
  margin: 100px auto;
}

.pristup input[type=password] {
  width: 90%;
  text-align: center;
  outline: none;
}

.vcontainer {
  display: block;
  padding:  0px;
  width: 1000px;
  margin: 0 auto;
  border: solid 0px red;
  }

.vrow  {
  display: flex; 
  flex-direction: row; 
  align-items: center; 
  flex-basic: auto;
}

.vitem1, .vitem4  {
  width: 50%; 
  text-align: center;
}

.vitem2, .vitem3  {
  width: 50%; 
  padding: 0 20px;
  font-size: .9em;
  color: var(--svetleseda);
}

.vitem-video {
  width:450px; 
  height: 253px; 
  margin: 0 auto; 
  box-shadow: 5px 5px 15px #aaa;
}

@media (max-width: 1020px) {                           
  .vcontainer   {width: 90%; margin: 0 auto;}
  .vrow         {flex-direction: column;}
  .vitem1, .vitem2, .vitem3, .vitem4      
                {width: 100%;}
  .vitem1       {order: 1;}
  .vitem2       {order: 2; padding: 0px 20px 40px 20px;}
  .vitem3       {order: 4; padding: 0px 20px 40px 20px;}
  .vitem4       {order: 3;}
  .vitem-video  {width: 450px; height: 253px;}
}

@media (max-width: 600px) {                           
  .vitem-video {width: 100%;}
}



/* ------------------------------------------------------------------------------------------------------------------------------------ */

@media (max-width: 900px) {                           
  .container  {
    grid-template-areas:
    'title'
    'cell1'
    'cell2'
    'cell3'
    'paticka';
  grid-template-rows: 1fr;
  grid-template-columns: 1fr;
  }
  .item-web {
    width: 45%;
  }
  .footer-item  {
    width: 90%;
  }
  .item-web p, .vstup-privat {
    font-size: 2vw;
  }
}


@media (max-width: 500px) {
  .item-web {
    width: 90%;
  }
  .footer-item  {
    width: 90%;
  }
  .item-web p, .vstup-privat {
    font-size: 4vw;
  }
}